
Redmine - Defect #18248

Error when trying to delete project : unintialized constant

2014-10-31 08:09 - Thibaut Comte

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.0

Description

Hi everyone,

i am login to redmine as administrator, then go to admininstraion/projects --> select a project --> then click delete a repository -->

then say "yes" to delete. i got this error message:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Here is the log:

@Connecting to database specified by database.yml

Creating scope :sorted. Overwriting existing method User.sorted.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :system. Overwriting existing method Enumeration.system.

Started DELETE "/projects/projet-d" for 127.0.0.1 at 2014-10-31 07:59:55 +0100

Processing by ProjectsController#destroy as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"g7ZFEryB6lGc7XOqZ+Ag3ErmKt7+IdnOci2V6xo8k/8=", "confirm"=>"1",

"commit"=>"Delete", "id"=>"projet-d"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 359.6ms

NameError (uninitialized constant Project::Expense):

app/controllers/projects_controller.rb:236:in `destroy'@

when i run script/about

@C:\Sites\redmine>ruby script/about

Environment:

Redmine version                2.6.0.stable

Ruby version                   2.1.3-p242 (2014-09-19) [i386-mingw32]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.9.2

Filesystem

Redmine plugins:

progressive_projects_list      1.0.0

redmine_contacts               3.4.2

redmine_contacts_invoices      3.2.1

redmine_finance                1.2.0

redmine_mentions               0.0.1

redmine_theme_changer          0.1.0

@

When i do gem list

@C:\Sites\redmine>gem list

LOCAL GEMS ***
actionmailer (3.2.19)

actionpack (3.2.19)

activemodel (3.2.19)

activerecord (3.2.19)

activerecord-mysql2-adapter (0.0.3)

activerecord-tableless (1.3.3)

activeresource (3.2.19)

activesupport (3.2.19)

acts-as-taggable-on (2.3.3)

acts_as_list (0.2.0)

acts_as_silent_list (1.2.0)

addressable (2.3.4)

afm (0.2.2)

arel (3.0.3)

Ascii85 (1.0.2)

awesome_nested_set (2.1.6)

axiom-types (0.1.1)

bigdecimal (1.2.4)

binding_of_caller (0.7.2)

bourbon (4.0.0)

bourne (1.4.0)

builder (3.0.4)

bundler (1.7.4)

capybara (2.3.0, 2.1.0)

capybara-screenshot (0.3.6)

celluloid (0.15.2)

childprocess (0.5.3, 0.3.9)

climate_control (0.0.3)

cocaine (0.5.4)

codeclimate-test-reporter (0.1.1)

coderay (1.1.0, 1.0.9)

coercible (1.0.0)

coffee-rails (3.2.2)

coffee-script (2.2.0)

coffee-script-source (1.6.2)

color-tools (1.3.0)

cucumber (1.3.8)

cucumber-rails (1.3.1)

cucumber-rails-training-wheels (1.0.0)

daemons (1.1.9)

dalli (2.6.4)

database_cleaner (1.2.0, 1.0.1)

date_validator (0.7.0)

debug_inspector (0.0.2)

delayed_job (3.0.5)

delayed_job_active_record (0.3.3)

descendants_tracker (0.0.4)

diff-lcs (1.2.5, 1.2.4)

disposable (0.0.4)

equalizer (0.0.9)

erubis (2.7.0)

eventmachine (1.0.3 x86-mingw32)

execjs (1.4.0)

factory_girl (4.2.0)

factory_girl_rails (4.2.1)

faker (1.2.0)

ffi (1.9.3 x86-mingw32)

formatador (0.2.4)

gherkin (2.12.2 x86-mingw32)

globalize (3.0.0)

gon (4.0.0)

grape (0.7.0)

gravatar_image_tag (1.2.0)

guard (2.2.2)

guard-cucumber (1.4.0)

guard-rspec (3.1.0)

guard-test (1.0.0)
hashery (2.1.1)

hashie (2.1.1)

hike (1.2.3)

hooks (0.3.3)

htmldiff (0.0.1)

i18n (0.6.11, 0.6.8)

i18n-js (3.0.0.rc6)

ice_nine (0.11.0)

interception (0.3)

io-console (0.4.2)

journey (1.0.4)

jquery-atwho-rails (0.4.1)

jquery-rails (3.1.2, 2.0.3)

jquery-ui-rails (4.0.2)

json (1.8.1)

json_spec (1.1.1)

launchy (2.3.0)

letter_opener (1.0.0)

liquid (2.4.1)

listen (2.1.2)

livingstyleguide (1.2.0)

lockfile (2.1.3)

lumberjack (1.0.4)

mail (2.5.4)

metaclass (0.0.1)

method_source (0.8.2)

mime-types (1.25.1)

mini_portile (0.6.0)

minisyntax (0.2.3)

minitest (4.7.5)

mocha (0.13.3)

money (5.1.1)

multi_json (1.10.1, 1.8.2)

multi_test (0.0.2)

multi_xml (0.5.5)

mysql (2.9.1 x86-mingw32)

mysql2 (0.3.16, 0.3.11 x86-mingw32)

net-ldap (0.3.1, 0.2.2)

nokogiri (1.6.2.1 x86-mingw32, 1.5.11 x86-mingw32)

non-stupid-digest-assets (1.0.4)

object-daddy (1.1.1)

oj (2.1.6)

omniauth (1.2.1)

paper_trail (2.7.2)

pdf-core (0.2.5)

pdf-reader (1.3.3)

pg (0.17.1 x86-mingw32)

polyglot (0.3.5, 0.3.3)

prawn (1.0.0, 0.14.0)

prototype-rails (3.2.1)

pry (0.9.12.6 i386-mingw32, 0.9.12.2 i386-mingw32)

pry-doc (0.4.6)

pry-rails (0.3.2)

pry-rescue (1.1.1)

pry-stack_explorer (0.4.9.1)

psych (2.0.5)

quiet_assets (1.0.2)

rabl (0.9.3)

rack (1.4.5)

rack-accept (0.4.5)

rack-cache (1.2)

rack-mount (0.8.3)

rack-openid (1.4.2)

rack-ssl (1.3.4)

rack-test (0.6.2)

rack_session_access (0.1.1)

rails (3.2.19)
rails-dev-tweaks (0.6.1)

rails_autolink (1.1.0)

railties (3.2.19)

rake (10.3.2, 10.1.0)

rake-compiler (0.9.3)

rb-fsevent (0.9.3)

rb-inotify (0.9.2)

rb-readline (0.5.1, 0.5.0)

rbpdf (1.18.2)

rdoc (4.1.0, 3.12.2)

redcarpet (3.0.0, 2.3.0)

reform (1.0.4)

request_store (1.0.5)

roar (0.12.7)

rspec (2.99.0, 2.13.0)

rspec-activemodel-mocks (1.0.1)

rspec-collection_matchers (1.0.0)

rspec-core (2.99.0, 2.13.1)

rspec-example_disabler (0.0.1)

rspec-expectations (2.99.0, 2.13.0)

rspec-mocks (2.99.0, 2.13.1)

rspec-rails (2.99.0, 2.13.2)

ruby-ole (1.2.11.7)

ruby-openid (2.3.0, 2.2.3)

ruby-prof (0.13.0)

ruby-progressbar (1.2.0)

ruby-rc4 (0.1.5)

rubytree (0.8.3)

rubyzip (1.1.6, 1.1.0)

sass (3.3.14, 3.2.9)

sass-rails (3.2.6)

select2-rails (3.3.2)

selenium-webdriver (2.43.0, 2.39.0)

shoulda (3.5.0)

shoulda-context (1.1.2)

shoulda-matchers (2.1.0)

simplecov (0.8.0.pre)

simplecov-html (0.7.1)

slop (3.5.0, 3.4.6)

spreadsheet (0.6.9)

sprockets (2.2.2, 2.2.2.backport2)

sqlite3 (1.3.7 x86-mingw32)

strong_parameters (0.2.1)

structured_warnings (0.1.4)

svg-graph (1.0.5)

syck (1.0.1)

test-unit (2.5.5, 2.1.3.0)

thin (1.5.1)

thor (0.19.1, 0.18.1)

thread_safe (0.3.4)

tilt (1.4.1)

timecop (0.6.1)

timers (1.1.0)

treetop (1.4.15)

ttfunk (1.1.1, 1.0.3)

tzinfo (0.3.42, 0.3.38)

uber (0.0.4)

uglifier (2.1.1)

vcard (0.2.12)

virtus (1.0.2)

websocket (1.2.1, 1.0.7)

wicked_pdf (0.11.0)

will_paginate (3.0.5)

win32console (1.3.2 x86-mingw32)

wkhtmltopdf-binary (0.9.9.3)

xpath (2.0.0)

yard (0.8.7.2)@
Anyone have any clue on how to fix this please?

History

#1 - 2014-10-31 08:29 - Thibaut Comte

After different attempts, i found out that it was the redmine_contacts_invoices plugin that provoked the error.

I just removed it.

#2 - 2014-10-31 08:30 - Toshi MARUYAMA

- Category deleted (SCM)

- Status changed from New to Closed

- Resolution set to Invalid
